App.Collections.Move = Backbone.Collection.extend({
	model: App.Models.Move,
	currentFolder: '',
	ids:'',
	toFolder: '',
	url: function(){
		return App.baseUrl + '/api/mail/movemailtofolder?fromfolder='+this.currentFolder+'&tofolder='+this.toFolder+'&uids='+ this.ids;

	}

})

App.Collections.Move.prototype.setToFolder = function(tofolder){
	this.toFolder = tofolder;
	
};

App.Collections.Move.prototype.setCurrentFolder = function(folder){
	this.currentFolder = folder;
};

App.Collections.Move.prototype.setIDs = function(ids){
	if(ids.indexOf(",") != -1){
		this.ids = ids.join(",");
	}
	else{
		this.ids =	ids;
	}
	
};

